package cn.cloudcore.iprotect.utils;

public class CertUtils {
    
    public static int ALGORITHM_MD5     = 0;
    public static int ALGORITHM_SHA1     = 1;
    
    public byte[] creatCertRequestInfo(byte[] modulus, byte[] exponent,
            String dn) {       
        return creatNativeRequestInfo(modulus, exponent, dn);
    }
    
    public byte[] creatCertSignRequest(byte[] reqInfo, byte[] signedData,
            int algorithm) {
        return creatNativeCertSignRequest(reqInfo, signedData, algorithm);
    }
    
    public String getBeebSign(String signData, int type) {
        return getNativeBeebSign(signData, type);
    }
    
    private native byte[] creatNativeRequestInfo(byte[] modulus, byte[] exponent, String dn);
    private native byte[] creatNativeCertSignRequest(byte[] reqInfo, byte[] signedData, int algorithm);
    private native String getNativeBeebSign(String signData, int type);
    
    static {
        System.loadLibrary(CBuildConfig.loadLibraryName);
    }
}
