package cn.cloudcore.iprotect.plugin;

import android.content.Context;
import android.graphics.Rect;
import android.view.MotionEvent;
import android.view.inputmethod.InputMethodManager;
import android.widget.EditText;

public class CEditTextNoKBD extends EditText {
    private Context cContext;
    public CEditTextNoKBD(Context context) {
        super(context);
        //this.setInputType(InputType.TYPE_NULL);
        cContext = context;
    }
    
//    @Override
//    public void setCursorVisible(boolean visible) {
//        super.setCursorVisible(visible);
//    }
    
    @Override
    public void setHighlightColor(int color) {
        super.setHighlightColor(color);
    }
    
//    @Override
//    protected void onCreateContextMenu(ContextMenu menu) {
//        return;
//    }
    
    @Override
    public boolean getDefaultEditable() {
        return false;
    }
    
    @Override
    public boolean onTouchEvent(MotionEvent event) {
        return true;
    }
    
    @Override
    public void onFocusChanged(boolean focused, int direction, Rect previouslyFocusedRect) {
        InputMethodManager imm;
        
        if (focused == true) {
            imm = (InputMethodManager)cContext.getSystemService(Context.INPUT_METHOD_SERVICE);
            imm.hideSoftInputFromWindow(this.getWindowToken(), 0);  
        } else {
            imm = (InputMethodManager)cContext.getSystemService(Context.INPUT_METHOD_SERVICE);
            imm.showSoftInput(this, 0);
        }
    }

}
